Bug 1443528 (CVE-2016-1516) - CVE-2016-1516 opencv: Double free vulnerability on crafted image
Summary: CVE-2016-1516 opencv: Double free vulnerability on crafted image
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-1516
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1443532
TreeView+ depends on / blocked
 
Reported: 2017-04-19 12:32 UTC by Adam Mariš
Modified: 2021-02-17 02:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A double-free flaw was found in the way OpenCV handled processing of image files. This flaw could potentially be used to crash applications using OpenCV by tricking users into processing specially crafted image files.
Clone Of:
Environment:
Last Closed: 2017-08-23 08:11:54 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-04-19 12:32:06 UTC
OpenCV 3.0.0 has a double free issue that allows attackers to crash OpenCV applications.

Upstream issue:

https://github.com/opencv/opencv/issues/5956

The research paper is noted below.

External reference:

https://arxiv.org/pdf/1701.04739.pdf

Comment 3 Dhiru Kholia 2017-08-23 08:22:22 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.